## Function template extract

boost::log::extract

## Synopsis

    // In header: <boost/log/attributes/value_extraction.hpp>

    template<typename DescriptorT, template< typename > class ActorT>
      result_of::extract< typename DescriptorT::value_type, DescriptorT >::type
      extract(expressions::attribute_keyword< DescriptorT, ActorT > const & keyword,
              attribute_value_set const & attrs);

## Description

The function extracts an attribute value from the view. The user has to explicitly specify the type or set of possible types of the attribute value to be extracted.

Parameters:

`attrs` | A set of attribute values in which to look for the specified attribute value.
`keyword` | The keyword of the attribute value to extract.

Returns: | A `value_ref` that refers to the extracted value, if found. An empty value otherwise.